Bug 153959 - grpck is misparsing gshadow file
grpck is misparsing gshadow file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-05 23:04 EDT by Charles R. Anderson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-06 04:35:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
works for me with shadow-utils-4.0.7-5 from devel (1.01 MB, application/octet-stream)
2005-04-06 04:34 EDT, Peter Vrabec
no flags Details

  None (edit)
Description Charles R. Anderson 2005-04-05 23:04:43 EDT
Description of problem:

grpck always fails with errors like "shadow group bin: no user oot".

Version-Release number of selected component (if applicable):
4.0.3-56

How reproducible:
always

Steps to Reproduce:
1. run "grpck"
2. don't let it "fix" the gshadow file
3.
  
Actual results:

#grpck
shadow group bin: no user oot
delete member `oot'? n
shadow group daemon: no user
delete member `'? n
shadow group daemon: no user
delete member `'? n
shadow group daemon: no user ot
delete member `ot'? n
shadow group daemon: no user in
delete member `in'? n
shadow group sys: no user oot
delete member `oot'? n
shadow group sys: no user t
Comment 1 Peter Vrabec 2005-04-06 04:34:28 EDT
Created attachment 112749 [details]
works for me with shadow-utils-4.0.7-5 from devel

Note You need to log in before you can comment on or make changes to this bug.